org.richfaces.fragment.tabPanel

## Class RichFacesTabPanel.AdvancedTabPanelInteractions

- java.lang.Object
- - org.richfaces.fragment.switchable.AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions
  - - org.richfaces.fragment.tabPanel.RichFacesTabPanel.AdvancedTabPanelInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesTabPanel

      public class RichFacesTabPanel.AdvancedTabPanelInteractions
      extends AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTabPanel.AdvancedTabPanelInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getActiveHeaderElement()`
    `List<org.openqa.selenium.WebElement>` | `getAllDisabledHeadersElements()`
    `List<org.openqa.selenium.WebElement>` | `getAllInactiveHeadersElements()`
    `List<org.openqa.selenium.WebElement>` | `getAllTabContentsElements()`
    `List<org.openqa.selenium.WebElement>` | `getAllVisibleHeadersElements()`
    `protected com.google.common.base.Predicate<org.openqa.selenium.WebDriver>` | `getConditionForContentSwitched(String textToContain)`
    `protected org.openqa.selenium.WebElement` | `getRootOfContainerElement()`
    `protected List<org.openqa.selenium.WebElement>` | `getSwitcherControllerElements()`
    `List<org.openqa.selenium.WebElement>` | `getTabHeaders()`
    `org.openqa.selenium.WebElement` | `getVisibleContent()`

    - ### Methods inherited from class org.richfaces.fragment.switchable.AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

      `getRootElement, isVisible, setSwitchType, setSwitchType, waitUntilContentSwitched`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesTabPanel.AdvancedTabPanelInteractions

          public RichFacesTabPanel.AdvancedTabPanelInteractions()

  - ### Method Detail

    - #### getActiveHeaderElement

          public org.openqa.selenium.WebElement getActiveHeaderElement()

    - #### getTabHeaders

          public List<org.openqa.selenium.WebElement> getTabHeaders()

    - #### getVisibleContent

          public org.openqa.selenium.WebElement getVisibleContent()

    - #### getAllInactiveHeadersElements

          public List<org.openqa.selenium.WebElement> getAllInactiveHeadersElements()

    - #### getAllDisabledHeadersElements

          public List<org.openqa.selenium.WebElement> getAllDisabledHeadersElements()

    - #### getAllTabContentsElements

          public List<org.openqa.selenium.WebElement> getAllTabContentsElements()

    - #### getAllVisibleHeadersElements

          public List<org.openqa.selenium.WebElement> getAllVisibleHeadersElements()

    - #### getSwitcherControllerElements

          protected List<org.openqa.selenium.WebElement> getSwitcherControllerElements()

      Specified by:
        `getSwitcherControllerElements` in class `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

    - #### getRootOfContainerElement

          protected org.openqa.selenium.WebElement getRootOfContainerElement()

      Specified by:
        `getRootOfContainerElement` in class `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

    - #### getConditionForContentSwitched

          protected com.google.common.base.Predicate<org.openqa.selenium.WebDriver> getConditionForContentSwitched(String textToContain)

      Specified by:
        `getConditionForContentSwitched` in class `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.